target datalayout = "e-p:64:64:64-i1:8:8-i8:8:8-i16:16:16-i32:32:32-i64:64:64-f32:32:32-f64:64:64-v16:16:16-v24:32:32-v32:32:32-v48:64:64-v64:64:64-v96:128:128-v128:128:128-v192:256:256-v256:256:256-v512:512:512-v1024:1024:1024"
target triple = "spir64-unknown-unknown"

; Function Attrs: nounwind readnone
declare spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalInvocationId() #0

; Function Attrs: nounwind readnone
declare spir_func <3 x i64> @__builtin_spirv_BuiltInLocalInvocationId() #0

; Function Attrs: nounwind
declare spir_func void @__builtin_spirv_OpControlBarrier_i32_i32_i32(i32, i32, i32) #1

; Function Attrs: nounwind
declare spir_func i64 @__builtin_spirv_OpAtomicCompareExchangeWeak_p3i64_i32_i32_i32_i64_i64(i64 addrspace(3)*, i32, i32, i32, i64, i64) #1

; Function Attrs: nounwind
declare spir_func i64 @__builtin_spirv_OpAtomicLoad_p3i64_i32_i32(i64 addrspace(3)*, i32, i32) #1

; Function Attrs: nounwind
declare spir_func void @__builtin_spirv_OpAtomicStore_p3i64_i32_i32_i64(i64 addrspace(3)*, i32, i32, i64) #1

; Function Attrs: nounwind
define spir_kernel void @test_atomic_kernel(i32 %threadCount, i32 %numDestItems, i64 addrspace(1)* %finalDest, i64 addrspace(1)* %oldValues, i64 addrspace(3)* %destMemory) #1 {
  %expected = alloca i64, align 8
  %1 = call spir_func <3 x i64> @__builtin_spirv_BuiltInGlobalInvocationId() #0
  %call = extractelement <3 x i64> %1, i32 0
  %conv = trunc i64 %call to i32
  %2 = call spir_func <3 x i64> @__builtin_spirv_BuiltInLocalInvocationId() #0
  %call1 = extractelement <3 x i64> %2, i32 0
  %cmp = icmp eq i64 %call1, 0
  br i1 %cmp, label %3, label %12

3:                                                ; preds = %0
  br label %4

4:                                                ; preds = %10, %3
  %dstItemIdx.0 = phi i32 [ 0, %3 ], [ %inc, %10 ]
  %cmp3 = icmp ult i32 %dstItemIdx.0, %numDestItems
  br i1 %cmp3, label %6, label %5

5:                                                ; preds = %4
  br label %11

6:                                                ; preds = %4
  %idx.ext = zext i32 %dstItemIdx.0 to i64
  %7 = getelementptr inbounds i64, i64 addrspace(3)* %destMemory, i64 %idx.ext
  %idxprom = zext i32 %dstItemIdx.0 to i64
  %8 = getelementptr inbounds i64, i64 addrspace(1)* %finalDest, i64 %idxprom
  %9 = load i64, i64 addrspace(1)* %8, align 8
  call spir_func void @__builtin_spirv_OpAtomicStore_p3i64_i32_i32_i64(i64 addrspace(3)* %7, i32 2, i32 0, i64 %9) #1
  br label %10

10:                                               ; preds = %6
  %inc = add i32 %dstItemIdx.0, 1
  br label %4

11:                                               ; preds = %5
  br label %12

12:                                               ; preds = %11, %0
  call spir_func void @__builtin_spirv_OpControlBarrier_i32_i32_i32(i32 2, i32 2, i32 272) #1
  %conv5 = zext i32 %conv to i64
  %idxprom6 = zext i32 %conv to i64
  %13 = getelementptr inbounds i64, i64 addrspace(1)* %oldValues, i64 %idxprom6
  store i64 %conv5, i64 addrspace(1)* %13, align 8
  %conv8 = zext i32 %conv to i64
  store i64 %conv8, i64* %expected, align 8
  %14 = getelementptr inbounds i64, i64 addrspace(3)* %destMemory, i64 0
  %idxprom10 = zext i32 %conv to i64
  %15 = getelementptr inbounds i64, i64 addrspace(1)* %oldValues, i64 %idxprom10
  %16 = load i64, i64 addrspace(1)* %15, align 8
  %exp = load i64, i64* %expected, align 8
  %call121 = call spir_func i64 @__builtin_spirv_OpAtomicCompareExchangeWeak_p3i64_i32_i32_i32_i64_i64(i64 addrspace(3)* %14, i32 1, i32 8, i32 0, i64 %16, i64 %exp) #1
  store i64 %call121, i64* %expected, align 8
  %call12 = icmp eq i64 %call121, %exp
  br i1 %call12, label %19, label %17

17:                                               ; preds = %12
  %18 = load i64, i64* %expected, align 8
  %conv14 = zext i32 %conv to i64
  %cmp15 = icmp eq i64 %18, %conv14
  br i1 %cmp15, label %19, label %21

19:                                               ; preds = %17, %12
  %add = add i32 %threadCount, 1
  %conv18 = zext i32 %add to i64
  %idxprom19 = zext i32 %conv to i64
  %20 = getelementptr inbounds i64, i64 addrspace(1)* %oldValues, i64 %idxprom19
  store i64 %conv18, i64 addrspace(1)* %20, align 8
  br label %38

21:                                               ; preds = %17
  br label %22

22:                                               ; preds = %36, %21
  %successCount.0 = phi i32 [ 0, %21 ], [ %successCount.1, %36 ]
  %i.0 = phi i32 [ 0, %21 ], [ %inc38, %36 ]
  %cmp22 = icmp slt i32 %i.0, 10000
  br i1 %cmp22, label %24, label %23

23:                                               ; preds = %22
  %cmp24 = icmp eq i32 %successCount.0, 0
  %i1promo = select i1 %cmp24, i8 1, i8 0
  br label %24

24:                                               ; preds = %23, %22
  %25 = phi i8 [ 1, %22 ], [ %i1promo, %23 ]
  %26 = and i8 %25, 1
  %i1trunc = icmp ne i8 %26, 0
  br i1 %i1trunc, label %28, label %27

27:                                               ; preds = %24
  br label %37

28:                                               ; preds = %24
  %29 = getelementptr inbounds i64, i64 addrspace(3)* %destMemory, i64 0
  %idxprom29 = zext i32 %conv to i64
  %30 = getelementptr inbounds i64, i64 addrspace(1)* %oldValues, i64 %idxprom29
  %31 = load i64, i64 addrspace(1)* %30, align 8
  %exp2 = load i64, i64* %expected, align 8
  %call313 = call spir_func i64 @__builtin_spirv_OpAtomicCompareExchangeWeak_p3i64_i32_i32_i32_i64_i64(i64 addrspace(3)* %29, i32 1, i32 8, i32 0, i64 %31, i64 %exp2) #1
  store i64 %call313, i64* %expected, align 8
  %call31 = icmp eq i64 %call313, %exp2
  br i1 %call31, label %32, label %35

32:                                               ; preds = %28
  %33 = load i64, i64* %expected, align 8
  %idxprom33 = zext i32 %conv to i64
  %34 = getelementptr inbounds i64, i64 addrspace(1)* %oldValues, i64 %idxprom33
  store i64 %33, i64 addrspace(1)* %34, align 8
  %inc35 = add nsw i32 %successCount.0, 1
  br label %35

35:                                               ; preds = %32, %28
  %successCount.1 = phi i32 [ %inc35, %32 ], [ %successCount.0, %28 ]
  br label %36

36:                                               ; preds = %35
  %inc38 = add nsw i32 %i.0, 1
  br label %22

37:                                               ; preds = %27
  br label %38

38:                                               ; preds = %37, %19
  call spir_func void @__builtin_spirv_OpControlBarrier_i32_i32_i32(i32 2, i32 2, i32 272) #1
  %39 = call spir_func <3 x i64> @__builtin_spirv_BuiltInLocalInvocationId() #0
  %call41 = extractelement <3 x i64> %39, i32 0
  %cmp42 = icmp eq i64 %call41, 0
  br i1 %cmp42, label %40, label %48

40:                                               ; preds = %38
  br label %41

41:                                               ; preds = %46, %40
  %dstItemIdx45.0 = phi i32 [ 0, %40 ], [ %inc57, %46 ]
  %cmp47 = icmp ult i32 %dstItemIdx45.0, %numDestItems
  br i1 %cmp47, label %43, label %42

42:                                               ; preds = %41
  br label %47

43:                                               ; preds = %41
  %idx.ext51 = zext i32 %dstItemIdx45.0 to i64
  %44 = getelementptr inbounds i64, i64 addrspace(3)* %destMemory, i64 %idx.ext51
  %call53 = call spir_func i64 @__builtin_spirv_OpAtomicLoad_p3i64_i32_i32(i64 addrspace(3)* %44, i32 2, i32 0) #1
  %idxprom54 = zext i32 %dstItemIdx45.0 to i64
  %45 = getelementptr inbounds i64, i64 addrspace(1)* %finalDest, i64 %idxprom54
  store i64 %call53, i64 addrspace(1)* %45, align 8
  br label %46

46:                                               ; preds = %43
  %inc57 = add i32 %dstItemIdx45.0, 1
  br label %41

47:                                               ; preds = %42
  br label %48

48:                                               ; preds = %47, %38
  ret void
}

attributes #0 = { nounwind readnone }
attributes #1 = { nounwind }

!opencl.kernels = !{!0}
!IGCMetadata = !{!7}
!opencl.enable.FP_CONTRACT = !{}
!opencl.spir.version = !{!240}
!opencl.ocl.version = !{!240}
!opencl.used.extensions = !{!241}
!opencl.used.optional.core.features = !{!241}
!opencl.compiler.options = !{!242}

!0 = !{void (i32, i32, i64 addrspace(1)*, i64 addrspace(1)*, i64 addrspace(3)*)* @test_atomic_kernel, !1, !2, !3, !4, !5, !6}
!1 = !{!"kernel_arg_addr_space", i32 0, i32 0, i32 1, i32 1, i32 3}
!2 = !{!"kernel_arg_access_qual", !"none", !"none", !"none", !"none", !"none"}
!3 = !{!"kernel_arg_type", !"int", !"int", !"long*", !"long*", !"long*"}
!4 = !{!"kernel_arg_type_qual", !"", !"", !"", !"", !"volatile"}
!5 = !{!"kernel_arg_base_type", !"int", !"int", !"long*", !"long*", !"long*"}
!6 = !{!"kernel_arg_name", !"threadCount", !"numDestItems", !"finalDest", !"oldValues", !"destMemory"}
!7 = !{!"ModuleMD", !8, !9, !64, !121, !151, !167, !179, !189, !191, !192, !203, !204, !205, !206, !209, !210, !211, !212, !213, !214, !215, !216, !217, !218, !219, !220, !222, !226, !227, !228, !229, !230, !231, !108, !232, !233, !235, !238, !239}
!8 = !{!"isPrecise", i1 false}
!9 = !{!"compOpt", !10, !11, !12, !13, !14, !15, !16, !17, !18, !19, !20, !21, !22, !23, !24, !25, !26, !27, !28, !29, !30, !31, !32, !33, !34, !35, !36, !37, !38, !39, !40, !41, !42, !43, !44, !45, !46, !47, !48, !49, !50, !51, !52, !53, !54, !55, !56, !57, !58, !59, !60, !61, !62, !63}
!10 = !{!"DenormsAreZero", i1 false}
!11 = !{!"CorrectlyRoundedDivSqrt", i1 false}
!12 = !{!"OptDisable", i1 false}
!13 = !{!"MadEnable", i1 false}
!14 = !{!"NoSignedZeros", i1 false}
!15 = !{!"NoNaNs", i1 false}
!16 = !{!"FloatRoundingMode", i32 0}
!17 = !{!"FloatCvtIntRoundingMode", i32 3}
!18 = !{!"VISAPreSchedRPThreshold", i32 0}
!19 = !{!"SetLoopUnrollThreshold", i32 0}
!20 = !{!"UnsafeMathOptimizations", i1 false}
!21 = !{!"FiniteMathOnly", i1 false}
!22 = !{!"FastRelaxedMath", i1 false}
!23 = !{!"DashGSpecified", i1 false}
!24 = !{!"FastCompilation", i1 false}
!25 = !{!"UseScratchSpacePrivateMemory", i1 true}
!26 = !{!"RelaxedBuiltins", i1 false}
!27 = !{!"SubgroupIndependentForwardProgressRequired", i1 true}
!28 = !{!"GreaterThan2GBBufferRequired", i1 true}
!29 = !{!"GreaterThan4GBBufferRequired", i1 true}
!30 = !{!"DisableA64WA", i1 false}
!31 = !{!"ForceEnableA64WA", i1 false}
!32 = !{!"PushConstantsEnable", i1 true}
!33 = !{!"HasPositivePointerOffset", i1 false}
!34 = !{!"HasBufferOffsetArg", i1 false}
!35 = !{!"BufferOffsetArgOptional", i1 true}
!36 = !{!"HasSubDWAlignedPtrArg", i1 false}
!37 = !{!"replaceGlobalOffsetsByZero", i1 false}
!38 = !{!"forcePixelShaderSIMDMode", i32 0}
!39 = !{!"pixelShaderDoNotAbortOnSpill", i1 false}
!40 = !{!"UniformWGS", i1 false}
!41 = !{!"disableVertexComponentPacking", i1 false}
!42 = !{!"disablePartialVertexComponentPacking", i1 false}
!43 = !{!"PreferBindlessImages", i1 false}
!44 = !{!"UseBindlessMode", i1 false}
!45 = !{!"UseLegacyBindlessMode", i1 true}
!46 = !{!"disableMathRefactoring", i1 false}
!47 = !{!"atomicBranch", i1 false}
!48 = !{!"ForceMinSimdSizeForFastestCS", i1 false}
!49 = !{!"EnableFastestLinearScan", i1 false}
!50 = !{!"UseStatelessforPrivateMemory", i1 false}
!51 = !{!"EnableTakeGlobalAddress", i1 false}
!52 = !{!"IsLibraryCompilation", i1 false}
!53 = !{!"FastVISACompile", i1 false}
!54 = !{!"MatchSinCosPi", i1 false}
!55 = !{!"CaptureCompilerStats", i1 false}
!56 = !{!"EnableZEBinary", i1 false}
!57 = !{!"ExcludeIRFromZEBinary", i1 false}
!58 = !{!"allowDisableRematforCS", i1 false}
!59 = !{!"DisableIncSpillCostAllAddrTaken", i1 false}
!60 = !{!"DisableCPSOmaskWA", i1 false}
!61 = !{!"DisableFastestGopt", i1 false}
!62 = !{!"WaForceHalfPromotion", i1 false}
!63 = !{!"EnableUndefAlphaOutputAsRed", i1 true}
!64 = !{!"FuncMD", !65, !66}
!65 = !{!"FuncMDMap[0]", void (i32, i32, i64 addrspace(1)*, i64 addrspace(1)*, i64 addrspace(3)*)* @test_atomic_kernel}
!66 = !{!"FuncMDValue[0]", !67, !68, !72, !73, !74, !94, !100, !101, !102, !103, !104, !105, !106, !107, !108, !109, !110, !111, !112, !113, !114, !115, !116, !117, !118, !119, !120}
!67 = !{!"localOffsets"}
!68 = !{!"workGroupWalkOrder", !69, !70, !71}
!69 = !{!"dim0", i32 0}
!70 = !{!"dim1", i32 0}
!71 = !{!"dim2", i32 0}
!72 = !{!"funcArgs"}
!73 = !{!"functionType", !"KernelFunction"}
!74 = !{!"rtInfo", !75, !76, !77, !78, !79, !80, !81, !82, !83, !84, !85, !86, !87, !88, !89, !93}
!75 = !{!"callableShaderType", !"NumberOfCallableShaderTypes"}
!76 = !{!"isContinuation", i1 false}
!77 = !{!"hasTraceRayPayload", i1 false}
!78 = !{!"hasHitAttributes", i1 false}
!79 = !{!"hasCallableData", i1 false}
!80 = !{!"ShaderStackSize", i32 0}
!81 = !{!"ShaderHash", i64 0}
!82 = !{!"ShaderName", !""}
!83 = !{!"ParentName", !""}
!84 = !{!"SlotNum", i1* null}
!85 = !{!"NOSSize", i32 0}
!86 = !{!"Entries"}
!87 = !{!"SpillUnions"}
!88 = !{!"CustomHitAttrSizeInBytes", i32 0}
!89 = !{!"Types", !90, !91, !92}
!90 = !{!"FrameStartTys"}
!91 = !{!"ArgumentTys"}
!92 = !{!"FullFrameTys"}
!93 = !{!"Aliases"}
!94 = !{!"resAllocMD", !95, !96, !97, !98, !99}
!95 = !{!"uavsNumType", i32 0}
!96 = !{!"srvsNumType", i32 0}
!97 = !{!"samplersNumType", i32 0}
!98 = !{!"argAllocMDList"}
!99 = !{!"inlineSamplersMD"}
!100 = !{!"maxByteOffsets"}
!101 = !{!"IsInitializer", i1 false}
!102 = !{!"IsFinalizer", i1 false}
!103 = !{!"CompiledSubGroupsNumber", i32 0}
!104 = !{!"hasInlineVmeSamplers", i1 false}
!105 = !{!"localSize", i32 0}
!106 = !{!"localIDPresent", i1 false}
!107 = !{!"groupIDPresent", i1 false}
!108 = !{!"privateMemoryPerWI", i32 0}
!109 = !{!"globalIDPresent", i1 false}
!110 = !{!"hasSyncRTCalls", i1 false}
!111 = !{!"hasNonKernelArgLoad", i1 false}
!112 = !{!"hasNonKernelArgStore", i1 false}
!113 = !{!"hasNonKernelArgAtomic", i1 false}
!114 = !{!"UserAnnotations"}
!115 = !{!"m_OpenCLArgAddressSpaces"}
!116 = !{!"m_OpenCLArgAccessQualifiers"}
!117 = !{!"m_OpenCLArgTypes"}
!118 = !{!"m_OpenCLArgBaseTypes"}
!119 = !{!"m_OpenCLArgTypeQualifiers"}
!120 = !{!"m_OpenCLArgNames"}
!121 = !{!"pushInfo", !122, !123, !124, !127, !128, !129, !130, !131, !132, !133, !134, !147, !148, !149, !150}
!122 = !{!"pushableAddresses"}
!123 = !{!"bindlessPushInfo"}
!124 = !{!"dynamicBufferInfo", !125, !126}
!125 = !{!"firstIndex", i32 0}
!126 = !{!"numOffsets", i32 0}
!127 = !{!"MaxNumberOfPushedBuffers", i32 0}
!128 = !{!"inlineConstantBufferSlot", i32 -1}
!129 = !{!"inlineConstantBufferOffset", i32 -1}
!130 = !{!"inlineConstantBufferGRFOffset", i32 -1}
!131 = !{!"constants"}
!132 = !{!"inputs"}
!133 = !{!"constantReg"}
!134 = !{!"simplePushInfoArr", !135, !144, !145, !146}
!135 = !{!"simplePushInfoArrVec[0]", !136, !137, !138, !139, !140, !141, !142, !143}
!136 = !{!"cbIdx", i32 0}
!137 = !{!"pushableAddressGrfOffset", i32 -1}
!138 = !{!"pushableOffsetGrfOffset", i32 -1}
!139 = !{!"offset", i32 0}
!140 = !{!"size", i32 0}
!141 = !{!"isStateless", i1 false}
!142 = !{!"isBindless", i1 false}
!143 = !{!"simplePushLoads"}
!144 = !{!"simplePushInfoArrVec[1]", !136, !137, !138, !139, !140, !141, !142, !143}
!145 = !{!"simplePushInfoArrVec[2]", !136, !137, !138, !139, !140, !141, !142, !143}
!146 = !{!"simplePushInfoArrVec[3]", !136, !137, !138, !139, !140, !141, !142, !143}
!147 = !{!"simplePushBufferUsed", i32 0}
!148 = !{!"pushAnalysisWIInfos"}
!149 = !{!"inlineRTGlobalPtrOffset", i32 0}
!150 = !{!"rtSyncSurfPtrOffset", i32 0}
!151 = !{!"psInfo", !152, !153, !154, !155, !156, !157, !158, !159, !160, !161, !162, !163, !164, !165, !166}
!152 = !{!"BlendStateDisabledMask", i8 0}
!153 = !{!"SkipSrc0Alpha", i1 false}
!154 = !{!"DualSourceBlendingDisabled", i1 false}
!155 = !{!"ForceEnableSimd32", i1 false}
!156 = !{!"outputDepth", i1 false}
!157 = !{!"outputStencil", i1 false}
!158 = !{!"outputMask", i1 false}
!159 = !{!"blendToFillEnabled", i1 false}
!160 = !{!"forceEarlyZ", i1 false}
!161 = !{!"hasVersionedLoop", i1 false}
!162 = !{!"forceSingleSourceRTWAfterDualSourceRTW", i1 false}
!163 = !{!"NumSamples", i8 0}
!164 = !{!"blendOptimizationMode"}
!165 = !{!"colorOutputMask"}
!166 = !{!"WaDisableVRS", i1 false}
!167 = !{!"csInfo", !168, !169, !170, !171, !172, !18, !19, !173, !174, !175, !176, !177, !47, !178}
!168 = !{!"maxWorkGroupSize", i32 0}
!169 = !{!"waveSize", i32 0}
!170 = !{!"ComputeShaderSecondCompile"}
!171 = !{!"forcedSIMDSize", i8 0}
!172 = !{!"forceTotalGRFNum", i32 0}
!173 = !{!"forcedVISAPreRAScheduler", i1 false}
!174 = !{!"disableLocalIdOrderOptimizations", i1 false}
!175 = !{!"disableDispatchAlongY", i1 false}
!176 = !{!"neededThreadIdLayout", i1* null}
!177 = !{!"forceTileYWalk", i1 false}
!178 = !{!"ResForHfPacking"}
!179 = !{!"msInfo", !180, !181, !182, !183, !184, !185, !186, !187, !188}
!180 = !{!"PrimitiveTopology", i32 3}
!181 = !{!"MaxNumOfPrimitives", i32 0}
!182 = !{!"MaxNumOfVertices", i32 0}
!183 = !{!"MaxNumOfPerPrimitiveOutputs", i32 0}
!184 = !{!"MaxNumOfPerVertexOutputs", i32 0}
!185 = !{!"WorkGroupSize", i32 0}
!186 = !{!"WorkGroupMemorySizeInBytes", i32 0}
!187 = !{!"IndexFormat", i32 6}
!188 = !{!"SubgroupSize", i32 0}
!189 = !{!"taskInfo", !190, !185, !186, !188}
!190 = !{!"MaxNumOfOutputs", i32 0}
!191 = !{!"NBarrierCnt", i32 0}
!192 = !{!"rtInfo", !193, !194, !195, !196, !197, !198, !199, !200, !201, !202}
!193 = !{!"RayQueryAllocSizeInBytes", i32 0}
!194 = !{!"NumContinuations", i32 -1}
!195 = !{!"RTAsyncStackAddrspace", i32 -1}
!196 = !{!"RTAsyncStackSurfaceStateOffset", i1* null}
!197 = !{!"SWHotZoneAddrspace", i32 -1}
!198 = !{!"SWHotZoneSurfaceStateOffset", i1* null}
!199 = !{!"SWStackAddrspace", i32 -1}
!200 = !{!"SWStackSurfaceStateOffset", i1* null}
!201 = !{!"RTSyncStackAddrspace", i32 -1}
!202 = !{!"RTSyncStackSurfaceStateOffset", i1* null}
!203 = !{!"CurUniqueIndirectIdx", i32 0}
!204 = !{!"inlineDynTextures"}
!205 = !{!"inlineResInfoData"}
!206 = !{!"immConstant", !207, !208}
!207 = !{!"data"}
!208 = !{!"sizes"}
!209 = !{!"inlineConstantBuffers"}
!210 = !{!"inlineGlobalBuffers"}
!211 = !{!"GlobalPointerProgramBinaryInfos"}
!212 = !{!"ConstantPointerProgramBinaryInfos"}
!213 = !{!"GlobalBufferAddressRelocInfo"}
!214 = !{!"ConstantBufferAddressRelocInfo"}
!215 = !{!"forceLscCacheList"}
!216 = !{!"SrvMap"}
!217 = !{!"RasterizerOrderedByteAddressBuffer"}
!218 = !{!"MinNOSPushConstantSize", i32 0}
!219 = !{!"inlineProgramScopeOffsets"}
!220 = !{!"shaderData", !221}
!221 = !{!"numReplicas", i32 0}
!222 = !{!"URBInfo", !223, !224, !225}
!223 = !{!"has64BVertexHeaderInput", i1 false}
!224 = !{!"has64BVertexHeaderOutput", i1 false}
!225 = !{!"hasVertexHeader", i1 true}
!226 = !{!"UseBindlessImage", i1 false}
!227 = !{!"enableRangeReduce", i1 false}
!228 = !{!"allowMatchMadOptimizationforVS", i1 false}
!229 = !{!"disableMemOptforNegativeOffsetLoads", i1 false}
!230 = !{!"statefulResourcesNotAliased", i1 false}
!231 = !{!"disableMixMode", i1 false}
!232 = !{!"PrivateMemoryPerFG"}
!233 = !{!"capabilities", !234}
!234 = !{!"globalVariableDecorationsINTEL", i1 false}
!235 = !{!"m_ShaderResourceViewMcsMask", !236, !237}
!236 = !{!"m_ShaderResourceViewMcsMaskVec[0]", i64 0}
!237 = !{!"m_ShaderResourceViewMcsMaskVec[1]", i64 0}
!238 = !{!"computedDepthMode", i32 0}
!239 = !{!"isHDCFastClearShader", i1 false}
!240 = !{i32 3, i32 0}
!241 = !{}
!242 = !{!"-cl-std=CL3.0"}
